MapConstructorASTTransformation (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.transform

## [Java] Class MapConstructorASTTransformation

- org.codehaus.groovy.transform.MapConstructorASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class MapConstructorASTTransformation
      extends AbstractASTTransformation

  Handles generation of code for the

  MapConstructor:
    annotation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getAnnotationName()`
    `` | `void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public String getAnnotationName()

    - #### @Override public void setCompilationUnit(CompilationUnit unit)

    - #### public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)